# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org driver for Linux FBDev
Name:		x11-driver-video-fbdev
Version:	0.4.4
Release:	15
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-fbdev-%{version}.tar.bz2

# Upstream patches
Patch0:		0001-Default-to-32bpp-if-the-console-is-8bpp-and-we-weren.patch
Patch1:		0002-Use-own-thunk-functions-instead-of-fbdevHW-Weak.patch
Patch2:		0003-Pass-the-pci-device-if-any-through-to-fbdevhw-in-pro.patch
Patch3:		0004-Initialize-pci_dev.patch

BuildRequires:	pkgconfig(pciaccess)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-fbdev is the X.org driver for Linux FBDev.

%files
%{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_mandir}/man4/fbdev.*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-fbdev-%{version}
%apply_patches

%build
autoreconf -vif
%configure2_5x	--enable-pciaccess
%make

%install
%makeinstall_std



%changelog

* Mon Mar 26 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.4.4-15
- (2d28068) Bump release


